<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:
/**
 * Objeto asociado a una tabla de la base de datos.
 * Parcialmente generado por DB_DataObject.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2004 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: Ubicacion.php,v 1.18 2009/04/25 15:57:36 vtamara Exp $
 * @link      http://sivel.sf.net
 */

/**
 * Definicion para la tabla ubicacion.
 */
require_once 'DB/DataObject.php';

/**
 * Definicion para la tabla ubicacion.
 * Ver documentación de DataObjects_Caso.
 *
 * @category SIVeL
 * @package  SIVeL
 * @author   Vladimir Támara <vtamara@pasosdeJesus.org>
 * @license  http://creativecommons.org/licenses/publicdomain/ Dominio Público.
 * @link     http://sivel.sf.net/tec
 * @see      DataObjects_Caso
 */
class DataObjects_Ubicacion extends DB_DataObject 
{
    // START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'ubicacion';                       // table name
    var $id;                              // int4(4)  not_null primary_key
    var $lugar;                           // varchar(-1)  
    var $sitio;                           // varchar(-1)  
    var $id_clase;                        // int4(4)  
    var $id_municipio;                    // int4(4)  
    var $id_departamento;                 // int4(4)  
    var $tipo;                            // varchar(-1)  

    /**
     * ZE2 compatibility trick
     *
     * @return copia del objeto
     */
    function __clone() 
    {
        return $this;
    }

    /**
     * Static get
     *
     * @param mixed $k Llave
     * @param mixed $v Valor
     *
     * @return Registro cuya llave sea el valor.
     */
    function staticGet($k, $v = null) 
    {
        return DB_DataObject::staticGet('DataObjects_Ubicacion', $k, $v);
    }

    /* the code above is auto generated do not remove the tag below */
    // END_AUTOCODE

    var $fb_preDefOrder = array('lugar', 'sitio');
    var $fb_fieldsToRender = array('lugar', 'sitio');
    var $fb_addFormHeader = false;

    var $fb_fieldLabels = array(
        'lugar' => 'Lugar',
        'sitio' => 'Sitio'
    );

    /**
     * Ajusta formulario generado.
     *
     * @param object &$form        Formulario HTML_QuickForm
     * @param object &$formbuilder Generador DataObject_FormBuilder
     *
     * @return void
     */
    function postGenerateForm(&$form, &$formbuilder)
    {
        $e =& $form->getElement('lugar');
        if (isset($e) && !PEAR::isError($e)) {
            $e->setSize(65);
            $e->setMaxlength(60);
            if (isset($GLOBALS['etiqueta']['lugar'])) {
                $e->setLabel($GLOBALS['etiqueta']['lugar']);
            }
        }
        $e =& $form->getElement('sitio');
        if (isset($e) && !PEAR::isError($e)) {
            $e->setSize(65);
            $e->setMaxlength(60);
            if (isset($GLOBALS['etiqueta']['sitio'])) {
                $e->setLabel($GLOBALS['etiqueta']['sitio']);
            }
        }
    }

}

?>
